"use strict";

exports.__esModule = true;
exports.CustomRelayDialog = CustomRelayDialog;
var _react = _interopRequireWildcard(require("react"));
var _material = require("@mui/material");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function CustomRelayDialog(_ref) {
  var open = _ref.open,
    oldCustomRelay = _ref.oldCustomRelay,
    onSet = _ref.onSet,
    onCancel = _ref.onCancel;
  var _useState = (0, _react.useState)(oldCustomRelay !== null && oldCustomRelay !== void 0 ? oldCustomRelay : ''),
    customRelay = _useState[0],
    setCustomRelay = _useState[1];
  return /*#__PURE__*/_react["default"].createElement(_material.Dialog, {
    open: open,
    fullWidth: true,
    maxWidth: "md"
  }, /*#__PURE__*/_react["default"].createElement(_material.DialogTitle, null, "Custom Relay"), /*#__PURE__*/_react["default"].createElement(_material.DialogContent, null, /*#__PURE__*/_react["default"].createElement(_material.DialogContentText, null, "Enter a relay node multiaddr here to set it as the custom relay node."), /*#__PURE__*/_react["default"].createElement(_material.TextField, {
    autoFocus: true,
    margin: "dense",
    id: "multiaddr",
    label: "Relay multiaddr",
    fullWidth: true,
    variant: "standard",
    value: customRelay,
    onChange: function onChange(event) {
      setCustomRelay(event.target.value);
    }
  })), /*#__PURE__*/_react["default"].createElement(_material.DialogActions, null, /*#__PURE__*/_react["default"].createElement(_material.Button, {
    onClick: onCancel
  }, "Cancel"), /*#__PURE__*/_react["default"].createElement(_material.Button, {
    onClick: function onClick() {
      return onSet(customRelay);
    }
  }, "Set")));
}